ordering=custom
folderIcon=Tango9.jpg
descript=Buenos Aires - Dinner and show at El Querand� Tango Hall opened in July 1992.  Apparently the popular and sensuous tango is often referred to as 'a vertical expression of a horizontal desire' - perfect description. Next day a boat trip to  Tigre Delta Tour.  After a few other pick ups we drove to Puerto Madero to board a catamaran and drive 1 and a half hours up the Rio de la Plata (River Plate) to the Tigre Delta.
